OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Contents

- Reading Pixels
- Copying Pixels
- Copying Pixels for framebuffers

Description

This module corresponds to section 4.3 (Drawing, Reading, and Copying Pixels) of the OpenGL 2.1 specs.

Synopsis

- readPixels :: Position -> Size -> PixelData a -> IO ()
- readBuffer :: StateVar BufferMode
- data PixelCopyType
  - = CopyColor
  - | CopyDepth
  - | CopyStencil
- copyPixels :: Position -> Size -> PixelCopyType -> IO ()
- data BlitBuffer
  - = ColorBuffer'
  - | StencilBuffer'
  - | DepthBuffer'
- blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitBuffer] -> TextureFilter -> IO ()

# Reading Pixels

readPixels :: Position -> Size -> PixelData a -> IO () Source #

readBuffer :: StateVar BufferMode Source #

# Copying Pixels

data PixelCopyType Source #

Constructors

CopyColor |
CopyDepth |
CopyStencil |

#### Instances

Instances details

Show PixelCopyType Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels Methods showsPrec :: Int -> PixelCopyType -> ShowS Source # show :: PixelCopyType -> String Source # showList :: [PixelCopyType] -> ShowS Source #
Eq PixelCopyType Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels Methods (==) :: PixelCopyType -> PixelCopyType -> Bool Source # (/=) :: PixelCopyType -> PixelCopyType -> Bool Source #
Ord PixelCopyType Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Methods

compare :: PixelCopyType -> PixelCopyType -> Ordering Source #

(<) :: PixelCopyType -> PixelCopyType -> Bool Source #

(<=) :: PixelCopyType -> PixelCopyType -> Bool Source #

(>) :: PixelCopyType -> PixelCopyType -> Bool Source #

(>=) :: PixelCopyType -> PixelCopyType -> Bool Source #

max :: PixelCopyType -> PixelCopyType -> PixelCopyType Source #

min :: PixelCopyType -> PixelCopyType -> PixelCopyType Source #

copyPixels :: Position -> Size -> PixelCopyType -> IO () Source #

# Copying Pixels for framebuffers

data BlitBuffer Source #

The buffers which can be copied with `blitFramebuffer`.

Constructors

ColorBuffer' |
StencilBuffer' |
DepthBuffer' |

#### Instances

Instances details

Show BlitBuffer Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels Methods showsPrec :: Int -> BlitBuffer -> ShowS Source # show :: BlitBuffer -> String Source # showList :: [BlitBuffer] -> ShowS Source #
Eq BlitBuffer Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels Methods (==) :: BlitBuffer -> BlitBuffer -> Bool Source # (/=) :: BlitBuffer -> BlitBuffer -> Bool Source #
Ord BlitBuffer Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Methods

compare :: BlitBuffer -> BlitBuffer -> Ordering Source #

(<) :: BlitBuffer -> BlitBuffer -> Bool Source #

(<=) :: BlitBuffer -> BlitBuffer -> Bool Source #

(>) :: BlitBuffer -> BlitBuffer -> Bool Source #

(>=) :: BlitBuffer -> BlitBuffer -> Bool Source #

max :: BlitBuffer -> BlitBuffer -> BlitBuffer Source #

min :: BlitBuffer -> BlitBuffer -> BlitBuffer Source #

blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitBuffer] -> TextureFilter -> IO () Source #